# scp

Secure copy (scp) is available on linux and mac. On windows it is available if you followed the instructions for the [Windows Subsystem for Linux](wsl.md). The general syntax of scp (secure copy) is

```
scp [options] source user@destination

```

## Examples

The user ab12cdef transfers the local file mydata.csv to a data project folder on rstudio1:

```
scp mydata.csv ab12cdef@rstudio1.idiv.de:/data/myproject/
```

Recursively (-r) transfer the myproject data directory to a data project folder on rstudio1:

```
scp -r myproject ab12cdef@rstudio1.idiv.de:/data/myproject/
```
